Bug 764618 - (GLUSTER-2886) No sticky bit validation in access control
No sticky bit validation in access control
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gaurav
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-06 04:54 EDT by Gaurav
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gaurav 2011-05-06 04:54:16 EDT
In access control we should check for sticky bit validations in case of rename, unlink, rmdir.
Comment 1 Anand Avati 2011-05-19 20:14:30 EDT
PATCH: http://patches.gluster.com/patch/7165 in release-3.1 (Access-Control : Sticky bit validation for rename, unlink and rmdir.)
Comment 2 Anand Avati 2011-06-08 11:19:00 EDT
PATCH: http://patches.gluster.com/patch/7359 in release-3.2 (Access-Control : Sticky bit validation for rename, unlink and rmdir.)

Note You need to log in before you can comment on or make changes to this bug.